2023-03-29 17:55:12 UTC
52.4 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:333f5f619d7efe58316b2d71276f19d0a59bcb471f4dadaa85762b2c9e02775c - 5.16% (2.7 MB)
[#001] sha256:ae91f4c42486c7c4ddefd5e222e015119d1ee672413dd1ac7a1431c13c027d4f - 0.0% (1.23 KB)
[#002] sha256:67b897029b6b4b9e7470c065b492cc5922632f0b592fd69d34f3ed3fde9e33f5 - 94.84% (49.7 MB)
[#003] sha256:4dcffe1728ce4311f650cf443b8dad3c127a8732f2a1a2ca24cc0867d0e09dbd - 0.0% (174 Bytes)
[#004] sha256:a97b12213bd61199b8b47bbdafcc59604f418471a1db82718f8aade1c0d6a3d5 - 0.0% (154 Bytes)
[#005] sha256:b51a3f5809412c87cd85f543de3e3b4ed87ae3e24f54328ed45d6b6db4dc747c - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:fca96dde137b6b045359aec9d24257996738ac6cb7cce9518460a66802a27bd7 in /
2023-03-29 17:38:36 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-03-29 17:55:02 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.5
2023-03-29 17:55:02 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.5 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-03-29 17:55:02 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-03-29 17:55:03 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-03-29 17:55:10 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-03-29 17:55:11 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-03-29 17:55:11 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-03-29 17:55:11 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-03-29 17:55:11 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-03-29 17:55:11 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-03-29 17:55:12 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-03-29 17:55:12 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2023-03-29 17:55:12 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-03-29 17:55:12 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-03-29 19:41:51 UTC
53.7 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:0ce1dd7918a48990ab749aab2e805c26f691a3a8103495530e7ea5a1d168af4a - 5.02% (2.7 MB)
[#001] sha256:b96d3bc1fe58aeeb4895a6a34841a464be34d553c7529c19d7cda9296a48f198 - 0.0% (1.24 KB)
[#002] sha256:b9cfd612915e47e2c834eb37813d96c38b6ace9de7944df5f621f0263baa5617 - 94.97% (51 MB)
[#003] sha256:719d892cb38b0d519868c97fa4fcd905dc7bad83e9ca4be7381cf171889ebc8d - 0.0% (175 Bytes)
[#004] sha256:311f896f1afa0178287d56dceb8d29723fac94e59811bf8208ef9fb8e498403a - 0.0% (153 Bytes)
[#005] sha256:8ac9567c4eb2404a877090987032ee1ac5228fe64752274fc82f5b8334056d9a - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:08ad6c1c886a26e30ae4ab103ff377ee6cfbc1be2437fa227ec28a335c63d78a in /
2023-03-29 18:19:33 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-03-29 19:41:42 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.5
2023-03-29 19:41:42 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.5 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-03-29 19:41:42 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-03-29 19:41:43 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-03-29 19:41:49 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-03-29 19:41:50 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-03-29 19:41:50 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-03-29 19:41:50 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-03-29 19:41:50 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-03-29 19:41:50 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-03-29 19:41:50 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-03-29 19:41:50 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2023-03-29 19:41:51 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-03-29 19:41:51 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-03-29 18:41:33 UTC
51.1 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:872c99a87729fa48dce303fb615edbb1a5da837f627a0b3d28495a0400ca8335 - 4.92% (2.51 MB)
[#001] sha256:f9e69276520683dae8912f6e5d5856d79737484eec3b4267512ded615e975a27 - 0.0% (1.24 KB)
[#002] sha256:9420665cdb62f9e16e46cee4917b00b480a00b8206e05925bf8cdcae2d3da58f - 95.08% (48.6 MB)
[#003] sha256:f42839a80927f1f443fef7d98483c4f378cf06c3bcaeb52b9a6879ccfcd91eb8 - 0.0% (174 Bytes)
[#004] sha256:72759dccce3c62183f079a0cb6e2553c4ad7f1e3f363030f3cf72461e8acaa3f - 0.0% (153 Bytes)
[#005] sha256:34cd000a0062aeed66c7ed77f73b2ac86d08bcfe2f97ae34fa7631eadafca838 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:3fb55ad8134002858be264c3c2477d784e4a60f2f6501afa7cf3b10bfede51aa in /
2023-03-29 18:01:13 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-03-29 18:41:23 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.5
2023-03-29 18:41:23 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.5 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-03-29 18:41:23 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-03-29 18:41:24 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-03-29 18:41:31 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-03-29 18:41:32 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-03-29 18:41:33 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-03-29 18:41:33 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-03-29 18:41:33 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-03-29 18:41:33 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-03-29 18:41:33 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-03-29 18:41:33 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2023-03-29 18:41:33 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-03-29 18:41:33 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-03-30 03:55:50 UTC
50.6 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:60a00c11adf5202a365ec8215b889c3390d67fa295ab79940e1c5dc4cbed9db1 - 5.13% (2.6 MB)
[#001] sha256:a0af305f621261206a328022b1cfb957621f0e8ef3955ab7a6884a30c1edf3b7 - 0.0% (1.24 KB)
[#002] sha256:df962497fe647bad6eda4a275dc05e1cd733b39d33920d198959145377fe2073 - 94.87% (48 MB)
[#003] sha256:35817705fdb64872a95855bbb05d0fd5e44995ba887b62e8e49d4b8118b8b442 - 0.0% (175 Bytes)
[#004] sha256:c384d35d896a468c9d432f01ab35e09dde741e0dbb4bb85bacff2693ecc7ce35 - 0.0% (154 Bytes)
[#005] sha256:f057082403770d29572e6cf501f3919298f0ab8fdf5dc050a7bad6761a0d4391 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:4acfda16c71abce07068ed23839e9de60c1d1145ab8002b3a92c15b1e80d4356 in /
2023-03-29 17:39:23 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-03-30 03:55:43 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.5
2023-03-30 03:55:43 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.5 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-03-30 03:55:43 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-03-30 03:55:43 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-03-30 03:55:48 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-03-30 03:55:49 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-03-30 03:55:50 UTC|1 CONSUL_VERSION=1.14.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-03-30 03:55:50 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-03-30 03:55:50 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-03-30 03:55:50 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-03-30 03:55:50 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-03-30 03:55:50 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2023-03-30 03:55:50 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-03-30 03:55:50 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]